> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get super validators list

> Retrieve paginated list of Super Validators



## OpenAPI

````yaml /api/modo-canton.json get /v1/super-validators
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/super-validators:
    get:
      tags:
        - Super Validators
      summary: Get super validators list
      description: Retrieve paginated list of Super Validators
      operationId: getSuperValidators
      parameters:
        - name: sortBy
          in: query
          description: Sorting parameter.
          required: true
          schema:
            type: string
            default: REWARD
            enum:
              - REWARD
          example: REWARD
        - name: page
          in: query
          description: Queried API page.
          required: true
          schema:
            maximum: 50
            minimum: 0
            type: integer
            format: int32
            default: 0
          example: 0
        - name: size
          in: query
          description: Number of queried entries.
          required: true
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            default: 20
          example: 20
        - name: orderBy
          in: query
          description: >-
            Sorting method: from the lowest element to the highest (ASC) or from
            the highest element to the lowest (DESC).
          required: true
          schema:
            type: string
            default: DESC
            enum:
              - ASC
              - DESC
          example: DESC
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PagedResponseSuperValidatorDtoAPI'
components:
  schemas:
    PagedResponseSuperValidatorDtoAPI:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/SuperValidatorDtoAPI'
        pageable:
          $ref: '#/components/schemas/PageableInfo'
        last:
          type: boolean
        totalPages:
          type: integer
          format: int64
        totalElements:
          type: integer
          format: int64
        totalCount:
          type: integer
          format: int64
        size:
          type: integer
          format: int32
        number:
          type: integer
          format: int32
        sort:
          $ref: '#/components/schemas/SortInfo'
        first:
          type: boolean
        numberOfElements:
          type: integer
          format: int32
        empty:
          type: boolean
    SuperValidatorDtoAPI:
      type: object
      properties:
        svId:
          type: string
        publicUrl:
          type: string
        svName:
          type: string
        joinedAsOfRound:
          type: integer
          format: int64
        svRewardWeight:
          type: integer
          format: int64
        participantId:
          type: string
        seqId:
          type: string
        seqUrl:
          type: string
        seqAvailableAfter:
          type: integer
          format: int64
        svPublicUrl:
          type: string
        amuletPrice:
          type: number
        totalVotes:
          type: integer
          format: int64
        totalSponsored:
          type: integer
          format: int64
        validatorName:
          type: string
        validatorImg:
          type: string
        totalRewards:
          type: number
          format: double
    PageableInfo:
      type: object
      properties:
        sort:
          $ref: '#/components/schemas/SortInfo'
        pageSize:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        paged:
          type: boolean
        unpaged:
          type: boolean
    SortInfo:
      type: object
      properties:
        sorted:
          type: boolean
        empty:
          type: boolean
        unsorted:
          type: boolean
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````